package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$19 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("03E5A88919D7CAFCBF415F07C2176573B2");
      BigInteger var1 = SECNamedCurves.access$0("04B8266A46C55657AC734CE38F018F2192");
      byte[] var2 = Hex.decode("985BD3ADBAD4D696E676875615175A21B43A97E3");
      BigInteger var3 = SECNamedCurves.access$0("0400000000000000016954A233049BA98F");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(131, 2, 3, 8, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("040356DCD8F2F95031AD652D23951BB366A80648F06D867940A5366D9E265DE9EB240F"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
